# Calendar event query

A decision block that search for, or await calendar events.

If the proceed is set to Immediately, then check if there’s an ongoing event, or an event intersecting the time period between minimum timestamp and maximum timestamp without pausing the fiber. If proceed is set to When transition, then the fiber will pause until an upcoming event has begun and proceed through the YES path, or an ongoing event has ended and proceed through the NO path.

The start offset and end offset can be used to match events before (negative offset) or after (positive offset) the time they’re actually starting and/or ending.

Use the Calendar event get block to get the details of an event.

## Input arguments

- Calendar URI — URI of the calendar, default is any visible calendar.
- Minimum timestamp — unix timestamp of the earliest events to match, default is current time, only used with Immediately.
- Maximum timestamp — unix timestamp of the latest events to match, default is the minimum timestamp, only used with Immediately.
- Start offset — offset in seconds, added to the event start time when matching, i.e. a negative value will match early, default is 0.
- End offset — offset in seconds, added to the event end time when matching, i.e. a positive value will match late, default is 0.
- Title — title of events to match, default is any title, may contain glob pattern.
- Description — description of events to match, default is any description, may contain glob pattern.
- Location name — location of events to match, default is any location, may contain glob pattern.
- Availability — availabilities of events, default is any availability.
- All day — whether to ignore “all day” events.

## Output variables

- Event URIs — variable to assign the URIs of the intersecting or transitioning events.